org.apache.xmlbeans.impl.store

## Class CharUtil.CharJoin

- java.lang.Object
- - org.apache.xmlbeans.impl.store.CharUtil.CharJoin

Enclosing class:
  CharUtil

    public static final class CharUtil.CharJoin
    extends Object

### Field Summary

Fields
`int` `_cchLeft`
`int` `_depth`
`int` `_offLeft`
`int` `_offRight`
`Object` `_srcLeft`
`Object` `_srcRight`

### Constructor Summary

Constructors
Constructor and Description
`CharJoin(Object srcLeft, int offLeft, int cchLeft, Object srcRight, int offRight)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `depth()`
`boolean` `isValid(int off, int cch)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _srcLeft

    public final Object _srcLeft

#### _offLeft

    public final int _offLeft

#### _cchLeft

    public final int _cchLeft

#### _srcRight

    public final Object _srcRight

#### _offRight

    public final int _offRight

#### _depth

    public final int _depth

### Constructor Detail

#### CharJoin

    public CharJoin(Object srcLeft,
                    int offLeft,
                    int cchLeft,
                    Object srcRight,
                    int offRight)

### Method Detail

#### depth

    public int depth()

#### isValid

    public boolean isValid(int off,
                           int cch)